delete from report_sql where computer={?computer};

--dolzina (num1) in st. prostih privezov (num2)
insert into report_sql (computer, num2, date1, date2, STR1, num20, STR13)
select {?computer}, count(*), {?datum_od}, {?datum_do}, N_PRIVEZA, limit, 'M' from nnprivez
where occupancy_statistics = 'Y'
?and objekt = {?objekt} 
?and kategorija = {?kategorija}
group by n_priveza, limit;

-- zasedeni privezi (num3)
update report_sql set
num3=nvl((select st_zased_dni_sum/({?datum_do}-{?datum_od}) from
          (select sum(st_zased_dni) as st_zased_dni_sum, n_priveza from (
             select 
                 case when r.datum_od = r.datum_do then 1
                 when r.datum_od < {?datum_od} then 
                     case when r.datum_do < {?datum_do} then r.datum_do - {?datum_od}
                                                        else {?datum_do} - {?datum_od}
                     end
                 when r.datum_od >= {?datum_od} then
                     case when r.datum_do < {?datum_do} then r.datum_do - r.datum_od
                                                        else {?datum_do} - r.datum_od 
                     end
                 end as st_zased_dni, 
                 nnprivez.n_priveza
             from rezervac_detail r
             join nnprivez on r.id_privez=nnprivez.id_privez
             where r.status_rezervac in (0,1)
             and (r.datum_od < {?datum_do} and r.datum_do > {?datum_od} or
                  r.datum_od = r.datum_do and r.datum_od = {?datum_od})
             ?and objekt = {?objekt} 
             ?and kategorija = {?kategorija}
	     ?and id_privez= {?privez}
             )
            group by n_priveza)
     where n_priveza=str1),0)
where computer={?computer};

--st. dni na voljo (num4)
update report_sql set
num4=({?datum_do}-{?datum_od})+1
where computer={?computer};

--st.dni zasedenih (num5)
update report_sql set
num5=nvl((select st_zased_dni_sum from
          (select sum(st_zased_dni) as st_zased_dni_sum, n_priveza from (
             select 
                 case when r.datum_od = r.datum_do then 0 
                 when r.datum_od < {?datum_od} then 
                     case when r.datum_do < {?datum_do} then r.datum_do - {?datum_od}
                                                        else {?datum_do} - {?datum_od}
                     end
                 when r.datum_od >= {?datum_od} then
                     case when r.datum_do < {?datum_do} then r.datum_do - r.datum_od
                                                        else {?datum_do} - r.datum_od
                     end
                 end as st_zased_dni, 
                 nnprivez.n_priveza
             from rezervac_detail r
             join nnprivez on r.id_privez=nnprivez.id_privez
             where r.status_rezervac in (0,1)
             and (r.datum_od < {?datum_do} and r.datum_do > {?datum_od} or
                  r.datum_od = r.datum_do and r.datum_od = {?datum_od})
             ?and objekt = {?objekt} 
             ?and kategorija = {?kategorija}
             )
            group by n_priveza)
     where n_priveza=str1),0)
where computer={?computer};


update report_sql
set num5=num5+1
where num5<>0 and computer={?computer};

--% zasedenih dni (num6)
update report_sql set
num6=(num5/num4)*100
where computer={?computer};

update report_sql
set str10= (
SELECT DISTINCT 'O'
FROM REZERVAC R, BERTH_OWNER B
where R.ID_PRIVEZ = B.ID_PRIVEZ AND R.PRIVEZ=STR1 AND B.TYPE='1'
AND exists (select DISTINCT R.id_privez from rezervac R, BERTH_OWNER O, BERTH_OWNER_TYPE T
WHERE R.ID_PRIVEZ=O.ID_PRIVEZ AND
O.TYPE=T.ID
AND T.ID=1))
where computer={?computer};

update report_sql
set str11= (
SELECT DISTINCT 'P'
FROM REZERVAC R, BERTH_OWNER B
where R.ID_PRIVEZ = B.ID_PRIVEZ AND R.PRIVEZ=STR1 AND B.TYPE='2'
AND exists (select DISTINCT R.id_privez from rezervac R, BERTH_OWNER O, BERTH_OWNER_TYPE T
WHERE R.ID_PRIVEZ=O.ID_PRIVEZ AND
O.TYPE=T.ID
AND T.ID=2))
where computer={?computer};

update report_sql RS
set str12= (
SELECT distinct 'S'
FROM REZERVAC R,  BERTH_SUBLEASE S
WHERE R.ID_PRIVEZ=S.ID_PRIVEZ)
WHERE EXISTS (SELECT DISTINCT R.ID_PRIVEZ FROM REZERVAC R, BERTH_SUBLEASE S
WHERE R.PRIVEZ=RS.STR1 AND R.ID_PRIVEZ=S.ID_PRIVEZ AND
computer={?computer});

update report_sql
set str13 = str11
where str11 is not null
and computer={?computer};

update report_sql
set str13 = str12
where str12 is not null
and computer={?computer};

update report_sql
set str13 = str10
where str10 is not null
and computer={?computer};