delete from report_sql where computer={?Computer};

-- STR1  ime plovila
-- STR2  N_PRIVEZA
-- STR3  zastava
-- STR4  v_reservations_management.CATEGORY
-- STR5  next_port
-- STR6  last_port
-- STR7  next_port_1
-- STR9  LAST_PORT_1
-- STR8  vrsta (A/D)
-- NUM1  dolina plovila
-- NUM2  vrsta zapisa (0-podatki, 1-"umetna" vrstica) 
-- NUM3  nnlocation_id (se ne uporablja)
-- DATE1 datum report

-- najprej vpiem po eno vrstico za Arrivals in Departures, ki ju na reportu v Detail suppress-am
-- (potrebno je izpisati grupo (Departures ali Arrivals) tudi e ni podatkov
INSERT INTO report_sql (computer, str8, num2, date1, str4) VALUES ({?Computer}, 'D', 1, {?Datum}, 'OD');
INSERT INTO report_sql (computer, str8, num2, date1, str4) VALUES ({?Computer}, 'A', 1, {?Datum}, 'SP');

-- nato insertiram podatke
INSERT INTO report_sql (computer, str8, num2, str1, str5, str6, str7, num1, str3, date1, str2, str4, num3, str9)
SELECT {?Computer}, 'D', 0, "PLOVILA"."IME", "PLOVILA"."NEXT_PORT","V_RESERVATIONS_MANAGEMENT"."LAST_PORT","V_RESERVATIONS_MANAGEMENT"."NEXT_PORT", "PLOVILA"."DOLZINA",  "NNDRZAVE"."GB",  "V_RESERVATIONS_MANAGEMENT"."DATE_TO" as DATUM, "V_RESERVATIONS_MANAGEMENT"."N_PRIVEZA",  "V_RESERVATIONS_MANAGEMENT"."CATEGORY", "NNPOMOL"."NNLOCATION_ID", "PLOVILA"."LAST_PORT"
 FROM   (((("V_RESERVATIONS_MANAGEMENT" "V_RESERVATIONS_MANAGEMENT" LEFT OUTER JOIN "KUPCI" "KUPCI" ON "V_RESERVATIONS_MANAGEMENT"."ID_LASTNIKA"="KUPCI"."ID") LEFT OUTER JOIN "PLOVILA" "PLOVILA" ON "V_RESERVATIONS_MANAGEMENT"."ID_PLOVILA"="PLOVILA"."ID")
 LEFT OUTER JOIN "NNPRIVEZ" "NNPRIVEZ" ON "V_RESERVATIONS_MANAGEMENT"."N_PRIVEZA"="NNPRIVEZ"."N_PRIVEZA") LEFT OUTER JOIN "NNPOMOL" "NNPOMOL" ON "NNPRIVEZ"."KATEGORIJA"="NNPOMOL"."SIFRA")  LEFT OUTER JOIN "NNDRZAVE" "NNDRZAVE" ON "NNDRZAVE"."SIFRA"="PLOVILA"."NZASTAVA"   
 WHERE  "V_RESERVATIONS_MANAGEMENT"."CATEGORY" in ('PLAN_DEPARTURE' ,'ALARM DEPARTURE' ) 
 AND trunc("V_RESERVATIONS_MANAGEMENT"."DATE_TO") = {?Datum}
 union  all
 SELECT {?Computer}, 'A', 0, "PLOVILA"."IME",  "PLOVILA"."NEXT_PORT", "V_RESERVATIONS_MANAGEMENT"."LAST_PORT","V_RESERVATIONS_MANAGEMENT"."NEXT_PORT", "PLOVILA"."DOLZINA",  "NNDRZAVE"."GB",  "V_RESERVATIONS_MANAGEMENT"."DATE_FROM" as DATUM, "V_RESERVATIONS_MANAGEMENT"."N_PRIVEZA",  "V_RESERVATIONS_MANAGEMENT"."CATEGORY", "NNPOMOL"."NNLOCATION_ID", "PLOVILA"."LAST_PORT"
 FROM   ((((("V_RESERVATIONS_MANAGEMENT" "V_RESERVATIONS_MANAGEMENT" LEFT OUTER JOIN "KUPCI" "KUPCI" ON "V_RESERVATIONS_MANAGEMENT"."ID_LASTNIKA"="KUPCI"."ID") LEFT OUTER JOIN "PLOVILA" "PLOVILA" ON "V_RESERVATIONS_MANAGEMENT"."ID_PLOVILA"="PLOVILA"."ID")
 LEFT OUTER JOIN "NNPRIVEZ" "NNPRIVEZ" ON "V_RESERVATIONS_MANAGEMENT"."N_PRIVEZA"="NNPRIVEZ"."N_PRIVEZA") LEFT OUTER JOIN "NNPOMOL" "NNPOMOL" ON "NNPRIVEZ"."KATEGORIJA"="NNPOMOL"."SIFRA")  LEFT OUTER JOIN "NNPOMOL" "NNPOMOL" ON "NNPRIVEZ"."KATEGORIJA"="NNPOMOL"."SIFRA")  LEFT OUTER JOIN "NNDRZAVE" "NNDRZAVE" ON "NNDRZAVE"."SIFRA"="PLOVILA"."NZASTAVA"
 WHERE  "V_RESERVATIONS_MANAGEMENT"."CATEGORY" in ( 'PLAN_ARRIVAL','PLAN_RETURN','ALARM_ARRIVAL','ALARM_RETURN')
 AND trunc("V_RESERVATIONS_MANAGEMENT"."DATE_FROM") = {?Datum}
union all 
SELECT {?Computer}, 'D', 0, "PLOVILA"."IME", "PLOVILA"."NEXT_PORT", "V_DOGODKI"."LAST_PORT", "V_DOGODKI"."NEXT_PORT", "PLOVILA"."DOLZINA",  "NNDRZAVE"."GB",  "V_DOGODKI"."DATUM_ZACETKA" as DATUM, "V_DOGODKI"."N_PRIVEZA",  "V_DOGODKI"."KATEGORIJA_DOGODKA", "NNPOMOL"."NNLOCATION_ID", "PLOVILA"."LAST_PORT"
 FROM   ((("V_DOGODKI" "V_DOGODKI" LEFT OUTER JOIN "KUPCI" "KUPCI" ON "V_DOGODKI"."ID_LASTNIKA"="KUPCI"."ID"
 LEFT OUTER JOIN "PLOVILA" "PLOVILA" ON "V_DOGODKI"."ID_PLOVILA"="PLOVILA"."ID")
 LEFT OUTER JOIN "NNPRIVEZ" "NNPRIVEZ" ON "V_DOGODKI"."N_PRIVEZA"="NNPRIVEZ"."N_PRIVEZA")
 LEFT OUTER JOIN "NNPOMOL" "NNPOMOL" ON "NNPRIVEZ"."KATEGORIJA"="NNPOMOL"."SIFRA")  
 LEFT OUTER JOIN "NNDRZAVE" "NNDRZAVE" ON "NNDRZAVE"."SIFRA"="PLOVILA"."NZASTAVA" 
 WHERE  "V_DOGODKI"."KATEGORIJA_DOGODKA" in ('OD', 'IZ' ) 
 AND trunc("V_DOGODKI"."DATUM_ZACETKA") = {?Datum}
union all 
SELECT {?Computer}, 'A', 0, "PLOVILA"."IME", "PLOVILA"."NEXT_PORT", "V_DOGODKI"."LAST_PORT", "V_DOGODKI"."NEXT_PORT", "PLOVILA"."DOLZINA",  "NNDRZAVE"."GB",  "V_DOGODKI"."DATUM_ZACETKA" as DATUM, "V_DOGODKI"."N_PRIVEZA",  "V_DOGODKI"."KATEGORIJA_DOGODKA", "NNPOMOL"."NNLOCATION_ID", "PLOVILA"."LAST_PORT"
 FROM   ((("V_DOGODKI" "V_DOGODKI" LEFT OUTER JOIN "KUPCI" "KUPCI" ON "V_DOGODKI"."ID_LASTNIKA"="KUPCI"."ID"
 LEFT OUTER JOIN "PLOVILA" "PLOVILA" ON "V_DOGODKI"."ID_PLOVILA"="PLOVILA"."ID")
 LEFT OUTER JOIN "NNPRIVEZ" "NNPRIVEZ" ON "V_DOGODKI"."N_PRIVEZA"="NNPRIVEZ"."N_PRIVEZA")
 LEFT OUTER JOIN "NNPOMOL" "NNPOMOL" ON "NNPRIVEZ"."KATEGORIJA"="NNPOMOL"."SIFRA")  
 LEFT OUTER JOIN "NNDRZAVE" "NNDRZAVE" ON "NNDRZAVE"."SIFRA"="PLOVILA"."NZASTAVA" 
 WHERE  "V_DOGODKI"."KATEGORIJA_DOGODKA" in ('SP', 'VR'  ) 
 AND trunc("V_DOGODKI"."DATUM_ZACETKA") = {?Datum}
;