DELETE FROM REPORT_SQL WHERE COMPUTER={?Computer};

INSERT INTO REPORT_SQL (COMPUTER, STR1, STR2, NUM1, NUM2, DATE1, DATE2)
SELECT {?Computer}, POMOL, OPIS, COUNT(PRIVEZ) PRIVEZI, COUNT(ZASEDENOST) ZASEDENOST, {?From}, {?To}
FROM (select pomol.naziv POMOL, privez.N_PRIVEZA PRIVEZ, privez.dolzina,
case when count(ZASEDENOST.rd_id_privez)>0 then 1 ELSE NULL end zasedenost
from NNPOMOL pomol INNER JOIN nnprivez privez 
on privez.kategorija = pomol.sifra
left JOIN v_rezervac zasedenost on zasedenost.rd_id_privez=privez.id_privez
and rd_date_from <={?To} AND rd_date_to>={?From}
? and vrsta ={?P_C}
where occupancy_statistics = 'Y'
group by pomol.naziv, privez.N_PRIVEZA, privez.dolzina) ZASEDENOST
LEFT JOIN (
  SELECT 0 DOLE, 30 GORE, '30' OPIS from dual UNION
  SELECT 30.01 DOLE, 35 GORE, '35' OPIS from dual UNION
  SELECT 35.01 DOLE, 44.99 GORE, '40' OPIS from dual UNION
  SELECT 45 DOLE, 55 GORE, '45-55' OPIS from dual UNION
  SELECT 55.01 DOLE, 69.99 GORE, '60-65' OPIS from dual UNION
  SELECT 70 DOLE, 79.99 GORE, '70-75' OPIS from dual UNION
  SELECT 80 DOLE, 100 GORE, '80-100' OPIS from dual UNION
  SELECT 100.01 DOLE, 999 GORE, '100+' OPIS from dual
) ON DOLZINA BETWEEN DOLE AND GORE 
GROUP BY POMOL, OPIS
;

--update REPORT_SQL
--set NUM3=(select count(id_privez) from nnprivez WHERE kategorija=(select sifra from nnpomol where naziv=STR1))
--WHERE COMPUTER={?Computer};

UPDATE REPORT_SQL r1
    SET (NUM3, NUM4, NUM5)=
    (SELECT r2.Total, r2.Zasedenost, CASE WHEN r2.TOTAL=0 THEN 0 ELSE (r2.Zasedenost/r2.TOTAL) *100 END 
FROM (SELECT sum(NUM1) Total, SUM(NUM2) Zasedenost, STR1, COMPUTER
        FROM REPORT_SQL tot
        GROUP BY tot.sTR1, tot.computer) r2 
        WHERE r2.STR1 = r1.STR1 AND r2.COMPUTER = r1.COMPUTER)
WHERE COMPUTER={?Computer}
;