delete from report_sql where computer={?computer};

--dolzina (num1) in st. prostih privezov (num2)
insert into report_sql (computer, str1, num2, date1, date2, num1)
select {?computer}, objekt, count(*), {?datum_od}, {?datum_do}, sum(dolzina) from nnprivez
where 1=1
?and objekt = {?objekt} 
?and kategorija = {?kategorija}
and occupancy_statistics = 'Y'
group by objekt;

-- zasedeni privezi (num3)
update report_sql set
num3=nvl((select st_zased_dni_sum/({?datum_do}-{?datum_od}) from
          (select sum(st_zased_dni) as st_zased_dni_sum, objekt from (
             select 
                 case when r.datum_od = r.datum_do then 1
                 when r.datum_od < {?datum_od} then 
                     case when r.datum_do < {?datum_do} then r.datum_do - {?datum_od}
                                                        else {?datum_do} - {?datum_od}
                     end
                 when r.datum_od >= {?datum_od} then
                     case when r.datum_do < {?datum_do} then r.datum_do - r.datum_od
                                                        else {?datum_do} - r.datum_od 
                     end
                 end as st_zased_dni, 
                 nnprivez.objekt
             from rezervac_detail r
             join nnprivez on r.id_privez=nnprivez.id_privez
             where r.status_rezervac in (0,1)
             and (r.datum_od < {?datum_do} and r.datum_do > {?datum_od} or
                  r.datum_od = r.datum_do and r.datum_od = {?datum_od})
             ?and objekt = {?objekt} 
             ?and kategorija = {?kategorija}
	     and occupancy_statistics = 'Y'
             )
            group by objekt)
     where objekt=str1),0)
where computer={?computer};


--metri na voljo (num7)
update report_sql set
num7=(num1*({?datum_do}-{?datum_od}))
where computer={?computer};

--metri zasedeni (num8)
update report_sql set
num8=nvl((select zased_m from
          (select sum(st_zased_dni*dolzina_pl) as zased_m, objekt from (
             select 
                 case when r.datum_od = r.datum_do then 1
                 when r.datum_od < {?datum_od} then 
                     case when r.datum_do < {?datum_do} then r.datum_do - {?datum_od}
                                                        else {?datum_do} - {?datum_od}
                     end
                 when r.datum_od >= {?datum_od} then
                     case when r.datum_do < {?datum_do} then r.datum_do - r.datum_od
                                                        else {?datum_do} - r.datum_od 
                     end
                 end as st_zased_dni, 
                 nnprivez.objekt,
                 plovila.dolzina as dolzina_pl
             from rezervac_detail r INNER JOIN rezervac rzr on r.ID_REZERVAC = rzr.ID 
             join nnprivez on r.id_privez=nnprivez.id_privez
             join rezervac on r.id_rezervac=rezervac.id
             join plovila  on rezervac.id_plovila=plovila.id
             where r.status_rezervac in (0,1)
             and (r.datum_od < {?datum_do} and r.datum_do > {?datum_od} or
                  r.datum_od = r.datum_do and r.datum_od = {?datum_od})
             ?and objekt = {?objekt} 
             ?and kategorija = {?kategorija}
             and occupancy_statistics = 'Y'
             )
            group by objekt)
     where objekt=str1),0)
where computer={?computer};

--% zasedenih metrov (num9)
update report_sql set
num9 = CASE WHEN num7=0 then 0 ELSE num8/num7*100 END
where computer={?computer};


-- pomol

update report_sql set str2 = 
(select opis from nnobjekt where sifra = str1)
where computer = {?computer};

-- suma za celo marino
insert into report_sql (computer,str2,num2,num3,num7,num8,num9)
select {?computer},'Total',sum(num2),sum(num3),sum(num7),
sum(num8),case when sum(num7) = 0 then 0 else sum(num8)/sum(num7)*100 end
from report_sql where computer = {?computer};






